Bug 187085 - CPUSpeed causes kernel panic, graphical glitches appear
CPUSpeed causes kernel panic, graphical glitches appear
Product: Fedora
Classification: Fedora
Component: cpuspeed (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jarod Wilson
Depends On:
  Show dependency treegraph
Reported: 2006-03-28 07:28 EST by Alex Grönholm
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2.1-1.36.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-08 12:06:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alex Grönholm 2006-03-28 07:28:01 EST
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install Fedora Core 5
2. Boot
3. Crash
Actual results:
System crashes right after CPUSpeed has been launched, rapidly flashing small
graphical glitches appear on the screen if rhgb is disabled, otherwise just freezes

Expected results:
System boots normally

Additional info:
This occurred on an fresh Asus A8N-VM CSM mobo, Athlon64 3200+ (Venice),
software raid-1.
The kernel option acpi=off was used (wouldn't get past udev without it).
The workaround was to uninstall cpuspeed completely. I was able to boot normally
after that.
Comment 1 Jim Richardson 2006-04-28 11:59:50 EDT
I have experienced a very similar issue the past two days in my attempt to
install FC5. I am using an ABIT AV8 mobo, Athon64 3200+. The systems was
operating fine for months running FC4 x86_64. Before attempting to install FC5 I
added 1G ram to bring the system from 1 to 2G. I imediately started getting
intermittent kernel panics in FC4, always related to cpuspeed. Attempts to
install FC5 always hung at the last rpm xorg-x11-drivers. I couldn't figure out
how to disable cpuspeed for FC5 install, but managed to disable cpuspeed and
manually configure FC5. 

Disabling cpuspeed using "chkconfig cpuspeed off" on FC4 seems to have
eliminated the panics for FC4. 

This issue did not start until I moved from 1G to 2G of RAM. And yes I did run
memtest86+ successfully after the RAM upgrade.
Comment 2 Jarod Wilson 2007-01-08 12:06:49 EST
I believe the original poster's problem was largely a bios issue, resolved by
the latest bios for the a8n-vm csm. I've got that exact board w/the latest bios
and an Athlon 64 3500, and cpuspeed works perfectly with it under FC6 (and
previously w/FC5 as well). Not sure what's up w/the Abit board... Please feel
free to open a new bug if the latest cpuspeed is still failing on that system.

Note You need to log in before you can comment on or make changes to this bug.